列出 endUserNotifications

命名空间:microsoft.graph

重要

Microsoft Graph /beta 版本下的 API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。

获取 endUserNotification 对象及其属性的列表。

API 可用性

此 API 可用于以下国家级云部署。

全局服务 美国政府 L4 美国政府 L5 (DOD) 由世纪互联运营的中国
✅ ❌ ❌ ❌

权限

为此 API 选择标记为最低特权的权限。 只有在应用需要它时,才使用更高的特权权限。 有关委派权限和应用程序权限的详细信息,请参阅权限类型。 要了解有关这些权限的详细信息,请参阅 权限参考。

权限类型 最低特权权限 更高特权权限
委派(工作或学校帐户) AttackSimulation.Read.All 不可用。
委派(个人 Microsoft 帐户) 不支持。 不支持。
应用程序 AttackSimulation.Read.All 不可用。

HTTP 请求

GET /security/attackSimulation/endUserNotifications?$filter=source eq 'tenant'

可选的查询参数

此方法支持 $count、$filter、$orderby$top$skipToken和$select OData 查询参数,以帮助自定义响应。 如果结果集跨越多个页面,则响应正文包含可用于 @odata.nextLink 翻阅结果集的 。

请求标头

标头 值
Authorization 持有者 {token}。 必填。 详细了解 身份验证和授权。

请求正文

请勿提供此方法的请求正文。

响应

如果成功,此方法将在响应正文中返回响应 200 OK 代码和 endUserNotification 对象的集合。

示例

请求

以下示例显示了一个请求。

GET https://graph.microsoft.com/beta/security/attackSimulation/endUserNotifications?$filter=source eq 'global'

响应

以下示例显示了相应的响应。

注意:为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 200 OK
Content-Type: application/json

{
  "value": [
    {
      "id": "1cdfcb49-1065-46a6-b1c3-672071e20a6b",
      "displayName": "Microsoft End User Notification Page",
      "description": "Microsoft End User Notification ",
      "notificationType": "PositiveReinforcement",
      "status": "Ready",
      "source": "Global",
      "createdBy": {
        "email": "alexwaber@contoso.com",
        "id": "1rdfcb49-1065-46a6-b1c3-672071e20a6b",
        "displayName": "Alex Waber"
      },
      "createdDateTime": "2022-01-12T03:15:01.5906699Z",
      "lastModifiedBy": {
        "email": "alexwaber@contoso.com",
        "id": "1rdfcb49-1065-46a6-b1c3-672071e20a6b",
        "displayName": "Alex Waber"
      },
      "lastModifiedDateTime": "2021-10-07T12:23:18.8157586Z",
      "supportedLocales": [
        "en-us",
        "de-de"
      ]
    }
  ]
}